---

- hosts: all
  tasks:
    
    - name: Test hosts list
      debug:
        msg: "{{ hostvars[inventory_hostname]['ansible_default_ipv4']['address'] }}"
    
    - name: test Ip again
      debug: var=hostvars[inventory_hostname]['ansible_env'].SSH_CONNECTION.split(' ')[2]
